## EmpathyTpChat

EmpathyTpChat

## Synopsis

                        EmpathyTpChatPriv;
                        EmpathyTpChat;
    EmpathyTpChat*      empathy_tp_chat_new                 (McAccount *account,
                                                             TpChan *tp_chan);
    EmpathyTpChat*      empathy_tp_chat_new_with_contact    (EmpathyContact *contact);
    gboolean            empathy_tp_chat_get_acknowledge     (EmpathyTpChat *chat);
    void                empathy_tp_chat_set_acknowledge     (EmpathyTpChat *chat,
                                                             gboolean acknowledge);
    TpChan*             empathy_tp_chat_get_channel         (EmpathyTpChat *chat);
    GList*              empathy_tp_chat_get_pendings        (EmpathyTpChat *chat);
    void                empathy_tp_chat_send                (EmpathyTpChat *chat,
                                                             EmpathyMessage *message);
    void                empathy_tp_chat_set_state           (EmpathyTpChat *chat,
                                                             TelepathyChannelChatState state);
    const gchar*        empathy_tp_chat_get_id              (EmpathyTpChat *chat);

## Object Hierarchy

      GObject
       +----EmpathyTpChat
             +----EmpathyTpChatroom

## Properties

      "account"                  McAccount             : Read / Write / Construct Only
      "acknowledge"              gboolean              : Read / Write
      "anonymous"                gboolean              : Read / Write
      "description"              gchararray            : Read / Write
      "invite-only"              gboolean              : Read / Write
      "limit"                    guint                 : Read / Write
      "limited"                  gboolean              : Read / Write
      "moderated"                gboolean              : Read / Write
      "name"                     gchararray            : Read / Write
      "password"                 gchararray            : Read / Write
      "password-required"        gboolean              : Read / Write
      "persistent"               gboolean              : Read / Write
      "private"                  gboolean              : Read / Write
      "subject"                  gchararray            : Read / Write
      "subject-contact"          guint                 : Read / Write
      "subject-timestamp"        guint                 : Read / Write
      "tp-chan"                  TpChan                : Read / Write / Construct Only

## Signals

      "chat-state-changed"                             : Run Last
      "destroy"                                        : Run Last
      "message-received"                               : Run Last
      "send-error"                                     : Run Last

## Description

## Details

### EmpathyTpChatPriv

    typedef struct _EmpathyTpChatPriv EmpathyTpChatPriv;

### EmpathyTpChat

    typedef struct _EmpathyTpChat EmpathyTpChat;

### empathy_tp_chat_new ()

    EmpathyTpChat*      empathy_tp_chat_new                 (McAccount *account,
                                                             TpChan *tp_chan);

`account` : |
`tp_chan` : |
Returns : |

### empathy_tp_chat_new_with_contact ()

    EmpathyTpChat*      empathy_tp_chat_new_with_contact    (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_tp_chat_get_acknowledge ()

    gboolean            empathy_tp_chat_get_acknowledge     (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_set_acknowledge ()

    void                empathy_tp_chat_set_acknowledge     (EmpathyTpChat *chat,
                                                             gboolean acknowledge);

`chat` : |
`acknowledge` : |

### empathy_tp_chat_get_channel ()

    TpChan*             empathy_tp_chat_get_channel         (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_get_pendings ()

    GList*              empathy_tp_chat_get_pendings        (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_send ()

    void                empathy_tp_chat_send                (EmpathyTpChat *chat,
                                                             EmpathyMessage *message);

`chat` : |
`message` : |

### empathy_tp_chat_set_state ()

    void                empathy_tp_chat_set_state           (EmpathyTpChat *chat,
                                                             TelepathyChannelChatState state);

`chat` : |
`state` : |

### empathy_tp_chat_get_id ()

    const gchar*        empathy_tp_chat_get_id              (EmpathyTpChat *chat);

`chat` : |
Returns : |

## Property Details

### The "`account`" property

      "account"                  McAccount             : Read / Write / Construct Only

The account associated with the channel.

### The "`acknowledge`" property

      "acknowledge"              gboolean              : Read / Write

acknowledge.

Default value: FALSE

### The "`anonymous`" property

      "anonymous"                gboolean              : Read / Write

anonymous.

Default value: FALSE

### The "`description`" property

      "description"              gchararray            : Read / Write

description.

Default value: NULL

### The "`invite-only`" property

      "invite-only"              gboolean              : Read / Write

invite-only.

Default value: FALSE

### The "`limit`" property

      "limit"                    guint                 : Read / Write

limit.

Default value: 0

### The "`limited`" property

      "limited"                  gboolean              : Read / Write

limited.

Default value: FALSE

### The "`moderated`" property

      "moderated"                gboolean              : Read / Write

moderated.

Default value: FALSE

### The "`name`" property

      "name"                     gchararray            : Read / Write

name.

Default value: NULL

### The "`password`" property

      "password"                 gchararray            : Read / Write

password.

Default value: NULL

### The "`password-required`" property

      "password-required"        gboolean              : Read / Write

password-required.

Default value: FALSE

### The "`persistent`" property

      "persistent"               gboolean              : Read / Write

persistent.

Default value: FALSE

### The "`private`" property

      "private"                  gboolean              : Read / Write

privateprivate.

Default value: FALSE

### The "`subject`" property

      "subject"                  gchararray            : Read / Write

subject.

Default value: NULL

### The "`subject-contact`" property

      "subject-contact"          guint                 : Read / Write

subject-contact.

Default value: 0

### The "`subject-timestamp`" property

      "subject-timestamp"        guint                 : Read / Write

subject-timestamp.

Default value: 0

### The "`tp-chan`" property

      "tp-chan"                  TpChan                : Read / Write / Construct Only

The text channel for the chat.

## Signal Details

### The "chat-state-changed" signal

    void                user_function                      (EmpathyTpChat  *empathytpchat,
                                                            EmpathyContact *arg1,
                                                            guint           arg2,
                                                            gpointer        user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The "destroy" signal

    void                user_function                      (EmpathyTpChat *empathytpchat,
                                                            gpointer       user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "message-received" signal

    void                user_function                      (EmpathyTpChat  *empathytpchat,
                                                            EmpathyMessage *arg1,
                                                            gpointer        user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "send-error" signal

    void                user_function                      (EmpathyTpChat  *empathytpchat,
                                                            EmpathyMessage *arg1,
                                                            guint           arg2,
                                                            gpointer        user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.